Bug 815445 - Configuring both Near Real Time + RAM seems to not work
Configuring both Near Real Time + RAM seems to not work
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: HibernateSearch (Show other bugs)
2.0.0.ER4
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.0.0.ER5
Assigned To: Strong Liu
Karel Piwko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 11:56 EDT by Emmanuel Bernard
Modified: 2013-12-02 18:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-24 10:40:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Bernard 2012-04-23 11:56:31 EDT
This is not high priority but a bit annoying during tests. We are evaluating the complexity in the community for a fix.

https://hibernate.onjira.com/browse/HSEARCH-1095
Comment 1 Emmanuel Bernard 2012-04-24 08:29:33 EDT
This issue has been fixed in the community project (master).
Comment 2 Emmanuel Bernard 2012-05-14 11:17:40 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Near Real Time was leading to a NullPointerException if the first set of update was sent before a query was ever run.

Workaround was to run a query before the first update.
Comment 3 Karel Piwko 2012-06-05 10:32:14 EDT
Verified fix in WFK ER7. Tests passed. Removed technical note.
Comment 4 Karel Piwko 2012-06-05 10:32:14 EDT
Deleted Technical Notes Contents.

Old Contents:
Near Real Time was leading to a NullPointerException if the first set of update was sent before a query was ever run.

Workaround was to run a query before the first update.
Comment 5 Karel Piwko 2012-09-24 10:40:32 EDT
Was delivered in WFK 2.0.0.GA.

Note You need to log in before you can comment on or make changes to this bug.